******************************************************************
      SUBROUTINE GUSTEP
******************************************************************
*                                                                *
*     User routine called at the end of each tracking step       *
*       INWVOL is different from 0 when the track has reached    *
*              a volume boundary                                 *
*       ISTOP is different from 0 if the track has stopped       *
*                                                                *
*    ==>Called by : GTRACK                                       *
*                                                                *
******************************************************************
*
      IMPLICIT NONE
*
      INTEGER I, NPHE, ALIVE, PRFACE, J
      REAL DESTEPM, XX(6), XGIPMT, YGIPMT
      REAL ZOUT(6), TOUT, TZERO, RADIUS, TEMPO
      REAL LYE, PMTQE
*
#include"geant321/gctrak.inc"
#include"geant321/gckine.inc"
#include"geant321/gcking.inc"
#include"geant321/gctmed.inc"
#include"geant321/gcvolu.inc"
#include"geant321/gctmed.inc"
#include"geant321/gcphys.inc"
#include"geant321/gconst.inc"
#include"meguse.inc"
* 
*     *** Generates the scintillation photon cascade inside Lixe
      DESTEPM =DESTEP * 1000.
      LYE   = 40000.
      PMTQE = 0.1
*     
      IF(NUMED.EQ.22.AND.DESTEPM.GT.0.) THEN 
         NPHE=DESTEPM*PMTQE*LYE
         
         DO I=1,3               ! only coordinates needed.
            XX(I)=VECT(I)
         ENDDO
*     
         DO I=1,NPHE
*     
*     Track each scintillation photon till the surface.
            CALL LXPHO1(XX, TOFG, ZOUT, TOUT, ALIVE)
*
*     Is the scint-photon alive?
            IF (ALIVE.GT.0) THEN
*
*     Find which face hit:
               CALL PROFPM( ZOUT, PRFACE, XGIPMT, YGIPMT)
*
*     If PRFACE.GT.0 it hit some PMT: increase the QSUM
               IF (PRFACE.GT.0) QSOMMA = QSOMMA + 1
*
* The scint-photon hit the front face: write here the code to record
* such event                  
               IF (PRFACE.EQ.1) THEN
               ENDIF
            ENDIF
         ENDDO
      ENDIF
*     
* *** Store the created particles (for primary track only)
      IF (NGKINE.GT.0) CALL GSKING(0)
*     
* *** Store track parameters
      CALL GSXYZ(0)
      RETURN
      END






